cmake_minimum_required( VERSION 3.10 )
set(CMAKE_BUILD_TYPE Release)
project (ssl CXX)

find_package(PkgConfig)
pkg_check_modules(ALSA alsa REQUIRED)


add_executable (Localisation_exe Localisation.cpp)
target_link_libraries (Localisation_exe ${ALSA_LIBRARIES})
target_compile_options(Localisation_exe PUBLIC ${ALSA_CFLAGS_OTHER})
target_include_directories(Localisation_exe PUBLIC ${ALSA_INCLUDE_DIRS})

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/Localisation_exe
  DESTINATION bin
  RENAME ${CMAKE_PROJECT_NAME}-Localisation_exe)
